### Function

# GLib idle_remove_by_data

#### Declaration

    gboolean
    g_idle_remove_by_data (
      gpointer data
    )

#### Description

Removes the idle function with the given data.

#### Parameters

`data`

  Type: `gpointer`

  The data for the idle source’s callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if an idle source was found and removed.